. locations.include
sh -x $ANACONDADIR/buildinstall --debug --pkgorder ../../base/pkgorder --version $VERSION --product "Scientific Linux" --release $RELEASE --default $DEFAULT $TREE
echo "Now fixing up images"
if [ -d /mnt/sltmp ] ; then
	continue
else
	mkdir /mnt/sltmp
fi

if [ $ARCH == "ia64" ]; then

 echo "no customized boot images for $ARCH for now..."

else 
 if [ $ARCH == "x86_64" ]; then

  echo "no customized boot images for $ARCH for now..."
 
 else
  mount -o loop $TREE/images/$DEFAULT/boot.iso /mnt/sltmp
  cat $TREE/$DEFAULT/build/isolinux/boot.msg | perl -p -i -e 's/__ARCH__/$ARCH/' /mnt/sltmp/boot.msg
  cat $TREE/$DEFAULT/build/isolinux/syslinux.cfg | perl -p -i -e 's/__ARCH__/$ARCH/' > /mnt/sltmp/syslinux.cfg
  cat $TREE/$DEFAULT/build/isolinux/splash.lss | perl -p -i -e 's/__ARCH__/$ARCH/' > /mnt/sltmp/splash.lss
 fi 
fi 
umount /mnt/sltmp
rmdir /mnt/sltmp
